# Method: purchases.products.consume

- [HTTP request](https://developers.google.com/android-publisher/api-ref/rest/v3/purchases.products/consume#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/android-publisher/api-ref/rest/v3/purchases.products/consume#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/android-publisher/api-ref/rest/v3/purchases.products/consume#body.request_body)
- [Response body](https://developers.google.com/android-publisher/api-ref/rest/v3/purchases.products/consume#body.response_body)
- [Authorization scopes](https://developers.google.com/android-publisher/api-ref/rest/v3/purchases.products/consume#body.aspect)
- [Try it!](https://developers.google.com/android-publisher/api-ref/rest/v3/purchases.products/consume#try-it)

Consumes a purchase for an inapp item.

### HTTP request

`POST https://androidpublisher.googleapis.com/androidpublisher/v3/applications/{packageName}/purchases/products/{productId}/tokens/{token}:consume`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `packageName` | `string` The package name of the application the inapp product was sold in (for example, 'com.some.thing'). |
| `productId` | `string` The inapp product SKU (for example, 'com.some.thing.inapp1'). |
| `token` | `string` The token provided to the user's device when the inapp product was purchased. |

### Request body

The request body must be empty.

### Response body

If successful, the response body is empty.

### Sample

The following is a sample request:

```json
curl \
  -X POST \
  'https://androidpublisher.googleapis.com/androidpublisher/v3/applications/com.example.app/purchases/products/exampleSKU/tokens/exampleToken:consume' \
  -H 'Accept: application/json' \
  -H 'Authorization: Bearer [YOUR_ACCESS_TOKEN]'
```

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/androidpublisher`